<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mosty.common.core.business.mapper.SysRoleMapper">

    <resultMap id="BaseResultMap" type="com.mosty.common.core.business.entity.SysRole">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="roleName" column="role_name" jdbcType="VARCHAR"/>
            <result property="roleCode" column="role_code" jdbcType="VARCHAR"/>
            <result property="roleDesc" column="role_desc" jdbcType="VARCHAR"/>
            <result property="orderNo" column="order_no" jdbcType="INTEGER"/>
            <result property="bz" column="bz" jdbcType="VARCHAR"/>
            <result property="xtCjsj" column="xt_cjsj" jdbcType="TIMESTAMP"/>
            <result property="xtLrsj" column="xt_lrsj" jdbcType="TIMESTAMP"/>
            <result property="xtLrrxm" column="xt_lrrxm" jdbcType="VARCHAR"/>
            <result property="xtLrrid" column="xt_lrrid" jdbcType="VARCHAR"/>
            <result property="xtLrrbm" column="xt_lrrbm" jdbcType="VARCHAR"/>
            <result property="xtLrrbmid" column="xt_lrrbmid" jdbcType="VARCHAR"/>
            <result property="xtLrip" column="xt_lrip" jdbcType="VARCHAR"/>
            <result property="xtZhxgsj" column="xt_zhxgsj" jdbcType="TIMESTAMP"/>
            <result property="xtZhxgrxm" column="xt_zhxgrxm" jdbcType="VARCHAR"/>
            <result property="xtZhxgrid" column="xt_zhxgrid" jdbcType="VARCHAR"/>
            <result property="xtZhxgrbm" column="xt_zhxgrbm" jdbcType="VARCHAR"/>
            <result property="xtZhxgrbmid" column="xt_zhxgrbmid" jdbcType="VARCHAR"/>
            <result property="xtZhxgip" column="xt_zhxgip" jdbcType="VARCHAR"/>
            <result property="xtZxbz" column="xt_zxbz" jdbcType="INTEGER"/>
            <result property="xtZxyy" column="xt_zxyy" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,role_name,role_code,role_desc,
        order_no,bz,xt_cjsj,
        xt_lrsj,xt_lrrxm,xt_lrrid,
        xt_lrrbm,xt_lrrbmid,xt_lrip,
        xt_zhxgsj,xt_zhxgrxm,xt_zhxgrid,
        xt_zhxgrbm,xt_zhxgrbmid,xt_zhxgip,
        xt_zxbz,xt_zxyy
    </sql>
</mapper>
